/*  File:  get.h  */

/*****************************************************************************/
/*                                                                           */
/*                                                                           */
/*   ©Copyright  2009 – 2012 BMC Software, Inc.                              */
/*   BMC, BMC Software, the BMC logos and other BMC marks are trademarks or  */
/*   registered trademarks of BMC Software, Inc. in the U.S. and /or         */
/*   certain other countries.                                                */
/*****************************************************************************/

/* External declarations of the Get procedures */

ARBoolean      GetARBoolean(char *, ARBoolean);
int            GetInt(char *, int);
unsigned int   GetUnsignedInt(char *, unsigned int);
long           GetLong(char *, long);
double         GetReal(char *, double);
char          *GetChar(char *, char *);
ARTimestamp    GetARTimestamp(char *, ARTimestamp);
int            GetDate(char *, int);
unsigned int   GetARDataType(void);
void           GetARByteList(ARByteList **, ARBoolean);
void           GetARImageData(ARImageDataStruct **);
void           GetValue(ARValueStruct *, ARBoolean, char *);
void           GetARValueStruct(ARValueStruct *, ARBoolean);
void           GetARDisplayInstanceList(ARDisplayInstanceList *, ARBoolean);
void           GetARPropList(ARPropList *, ARBoolean); 
void           GetARPropListPtrList(ARPropListList *, ARBoolean); 

void GetMallocChar(char *, char *, char **);
void GetAREntryIdList(AREntryIdList *);
void GetARInternalIdList(ARInternalIdList *);
void GetARTimestampList(ARTimestampList *);
void GetARNameList(ARNameList *, char *);
void GetARSchemaTypeList(ARUnsignedIntList *);
void GetARControlStruct(void);
void GetARCoordList(ARCoordList **);
void GetAREntryListFieldStruct(AREntryListFieldStruct *);
void GetAREntryListFieldList(AREntryListFieldList *);
void GetARFieldValueStruct(ARFieldValueStruct *);
void GetARFieldValueList(ARFieldValueList *);
void GetARFieldValueOrArithStruct(ARFieldValueOrArithStruct *);
void GetARArithOpStruct(ARArithOpStruct *);
void GetARRelOpStruct(ARRelOpStruct *);
void GetARQualifierStruct(ARQualifierStruct *);
void GetARSortStruct(ARSortStruct *);
void GetARSortList(ARSortList *);
void GetARIndexStruct(ARIndexStruct *);
void GetARIndexList(ARIndexList *);
void GetARArchiveInfoStruct(ARArchiveInfoStruct *);
void GetARAuditInfoStruct(ARAuditInfoStruct *);
void GetARCompoundSchema(ARCompoundSchema *);
void GetARFieldMapping(ARFieldMappingStruct *);
void GetARAssignFieldStruct(ARAssignFieldStruct *);
void GetARDDEStruct(ARDDEStruct *);
void GetARAutomationStruct(ARAutomationStruct *);
void GetARCOMValueStruct(ARCOMValueStruct *);
void GetARCOMMethodList(ARCOMMethodList *);
void GetARCOMMethodStruct(ARCOMMethodStruct *, unsigned int);
void GetARCOMMethodParmList(ARCOMMethodParmList *);
void GetARCOMMethodParmStruct(ARCOMMethodParmStruct *, unsigned int);
void GetARAssignSQLStruct(ARAssignSQLStruct *);
void GetARAssignStruct(ARAssignStruct *);
void GetARFieldAssignStruct(ARFieldAssignStruct *);
void GetARFieldAssignList(ARFieldAssignList *);
void GetARArithOpAssignStruct(ARArithOpAssignStruct *);
void GetARFunctionAssignStruct(ARFunctionAssignStruct *);
void GetARPushFieldsAssignList(ARPushFieldsList *);
void GetARFilterActionNotify(ARFilterActionNotify *);
void GetARSQLStruct(ARSQLStruct *);
void GetARFilterActionStruct(ARFilterActionStruct *);
void GetARFilterActionList(ARBoolean, ARFilterActionList *);
void GetARActiveLinkMacroStruct(ARActiveLinkMacroStruct *);
void GetARActiveLinkActionStruct(ARActiveLinkActionStruct *);
void GetARActiveLinkActionList(ARBoolean, ARActiveLinkActionList *);
void GetARFieldCharacteristics(ARFieldCharacteristics  *);
void GetARPermissionStruct(ARBoolean, ARPermissionStruct *);
void GetARPermissionList(ARBoolean, ARPermissionList *);
void GetARIntegerLimitsStruct(ARIntegerLimitsStruct *);
void GetARRealLimitsStruct(ARRealLimitsStruct *);
void GetARCharLimitsStruct(ARCharLimitsStruct *);
void GetARDiaryLimitsStruct(ARDiaryLimitsStruct *);
void GetARFieldLimitStruct(int, ARFieldLimitStruct *);
void GetARCharMenuItemStruct(ARCharMenuItemStruct *);
void GetARCharMenuQueryStruct(ARCharMenuQueryStruct *);
void GetARCharMenuSSStruct(ARCharMenuSSStruct *);
void GetARCharMenuStruct(ARCharMenuStruct *);
void GetARCharMenuList(ARCharMenuList *);
void GetARStructItemStruct(ARStructItemStruct *, int *);
void GetARStructItemList(ARStructItemList *, int *);
void GetARServerInfoRequestList(int, ARServerInfoRequestList *);
void GetARServerInfoStruct(ARServerInfoStruct *);
void GetARServerInfoList(ARServerInfoList *);
void GetARAttach(ARAttachStruct **);
void GetARLocStructForGet(ARLocStruct *);
void GetARReferenceList(ARReferenceList *);
void GetARReferenceStruct(ARReferenceStruct *);
void GetARExtReferenceStruct(ARExtReferenceStruct *);
void GetARReferenceTypeList(ARReferenceTypeList *, char *);
void GetARContainerOwnerObj(ARContainerOwnerObj *, char *);
void GetARContainerOwnerObjList(ARContainerOwnerObjList *, char *);
void GetARContainerTypeList(ARContainerTypeList *, char *);
void GetAROpenDlgStruct(AROpenDlgStruct *);
void GetARCloseWndStruct(ARCloseWndStruct *);
void GetARCallGuideStruct(ARCallGuideStruct *);
void GetARGotoGuideLabel(ARGotoGuideLabelStruct *);
void GetARExitGuideStruct(ARExitGuideStruct *);
void GetARWaitStruct(ARWaitStruct *);
void GetARWorkflowLockStruct(ARWorkflowLockStruct *);
void GetARSignalList(ARSignalList *);
void GetARLocalizedRequestStruct(ARLocalizedRequestStruct *);
void GetARLocalizedRequestList(ARLocalizedRequestList *);
void GetARDiaryStruct(ARDiaryStruct *);
void GetARDiaryList(ARDiaryList *);
void GetARStatusHistoryList(ARStatusHistoryList *);
void GetARStatusHistoryStruct(ARStatusHistoryStruct *);
void GetARNamePtrList(ARNamePtrList *, char *);
void GetARValuePtrList(ARValuePtrList *);
void GetARBooleanList(ARBooleanList *);
void GetARFieldMappingList(ARFieldMappingList *);
void GetARFieldMappingPtrList(ARFieldMappingPtrList *);
void GetARUnsignedIntList(ARUnsignedIntList *);
void GetARUnsignedIntPtrList(ARUnsignedIntPtrList *);
void GetARPermissionListPtrList(ARBoolean, ARPermissionListPtrList *);
void GetARFieldLimitPtrList(ARUnsignedIntList *, ARFieldLimitPtrList *);
void GetARDisplayInstanceListPtrList(ARDisplayInstanceListPtrList *);
void GetARTextStringList(ARTextStringList *);
void GetARAccessNamePtrList(ARAccessNamePtrList *, char *);
void WFDFillBreakPt(ARWfdRmtBreakpoint *, int);
void GetARMultiSchemaQueryFromList(ARMultiSchemaFuncQueryFromList *, ARBoolean, char *);
void GetARMultiSchemaQueryFromStruct(ARMultiSchemaFuncQueryFromStruct *, ARBoolean, ARBoolean, char *);
void GetARMultiSchemaNestedQueryStruct(ARMultiSchemaNestedFuncQueryStruct *);
void GetARMultiSchemaRecursiveQueryStruct(ARMultiSchemaRecursiveFuncQueryStruct *);
void GetARMultiSchemaFieldIdStruct(ARMultiSchemaFieldIdStruct *, char *, char *);
void GetARMultiSchemaFieldFuncStruct(ARMultiSchemaFieldFuncStruct *, char *, char *);
void GetARMultiSchemaFieldIdList(ARMultiSchemaFieldFuncList *, char *);
void GetARMultiSchemaFuncQualifierStruct(ARMultiSchemaFuncQualifierStruct *, char *, ARBoolean, char *);
void GetARMultiSchemaQualifierStruct(ARMultiSchemaQualifierStruct *, char *, ARBoolean, char *);
void GetARMultiSchemaRelOpStruct(ARMultiSchemaRelOpStruct *, ARBoolean, char *);
void GetARMultiSchemaFuncRelOpStruct(ARMultiSchemaFuncRelOpStruct *, ARBoolean, char *);
void GetARMultiSchemaFieldValueOrArithStruct(ARMultiSchemaFieldValueOrArithStruct *, ARBoolean, char *);
void GetARMultiSchemaFieldFuncValueOrArithStruct(ARMultiSchemaFieldFuncValueOrArithStruct *, ARBoolean, char *);

void GetARMultiSchemaArithOpStruct(ARMultiSchemaArithOpStruct *value, ARBoolean, char *);
void GetARMultiSchemaFuncArithOpStruct(ARMultiSchemaFuncArithOpStruct *value, ARBoolean, char *);

void GetARMultiSchemaSortStruct(ARMultiSchemaSortStruct *);
void GetARMultiSchemaSortList(ARMultiSchemaSortList *);
void GetARValueStructIndent(ARValueStruct *, ARBoolean , char *);
void GetTaskAndOMLLabel(char **);
